<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-between gap-4">
  <div class="flex items-center gap-4 grow">
    <app-type-icon icon="fa fa-cloud" color="#E5B38E"></app-type-icon>
    <div class="text-text-500 text-base">
      <div class="flex items-start gap-1">
        <i class="fa fa-cube text-text-300 mt-1"></i>
        <div class="text-text-300 shrink-0">service:</div>
        <div class="font-semibold truncate max-w-64 shrink-0">
          {{ service.title }}
        </div>
      </div>
      <div class="mt-2.5 flex flex-col gap-1">
        <div *ngIf="service.links && service.links.at(0)?.href" class="text-sm flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa fa-globe" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">link:</div>
          </div>
          <div class="truncate max-w-64 shrink-0">{{ service.links.at(0)?.href }}</div>
        </div>
        <div class="text-sm flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa fa-house-user" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">owner:</div>
          </div>
          <div class="truncate max-w-64 shrink-0">
            {{ service.organisation?.name ?? service['SPADE:organisation']?.['@id'] }}
          </div>
        </div>
        <!-- <div class="text-sm flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="pi pi-map-marker" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">location:</div>
          </div>
          <div class="truncate max-w-64 shrink-0">Bratislava, Slovakia</div>
        </div> -->
        <div *ngIf="service['dct:license']" class="text-sm mt-0.5 flex items-start gap-1">
          <div class="text-text-300 flex items-center gap-2">
            <div class="w-3 flex items-center justify-center">
              <i class="fa-solid fa-file-contract" style="font-size: 0.8rem"></i>
            </div>
            <div class="shrink-0">license:</div>
          </div>
          <div class="flex flex-col shrink-0">
            <div class="truncate max-w-64 shrink-0">{{ service['dct:license'] }}</div>
            <div *ngIf="service['dct:licenseHolder']" class="truncate max-w-64 shrink-0">
              <span class="text-text-300">holder: </span>{{ service['dct:licenseHolder'] }}
            </div>
          </div>
        </div>
      </div>
      <!-- <div class="mt-4 flex items-center gap-1">
        <div class="flex items-center gap-2 text-white bg-skyBlue px-2 py-0.5 rounded-sm text-sm font-semibold">
          <i class="pi pi-download" style="font-size: 0.8rem"></i>
          <div>Read</div>
        </div>
        <div class="flex items-center gap-2 text-white bg-grassGreen px-2 py-0.5 rounded-sm text-sm font-semibold">
          <i class="pi pi-upload" style="font-size: 0.8rem"></i>
          <div>Write</div>
        </div>
        <div class="flex items-center gap-2 text-white bg-darkOrange px-2 py-0.5 rounded-sm text-sm font-semibold">
          <i class="pi pi-sync" style="font-size: 0.8rem"></i>
          <div>Subscribe</div>
        </div>
      </div> -->
    </div>
  </div>
</div>
